## org.eclipse.jetty.annotations
Class PostConstructAnnotationHandler

    java.lang.Object
      org.eclipse.jetty.annotations.AnnotationIntrospector.AbstractIntrospectableAnnotationHandler
          org.eclipse.jetty.annotations.PostConstructAnnotationHandler

All Implemented Interfaces:
  AnnotationIntrospector.IntrospectableAnnotationHandler

    public class PostConstructAnnotationHandler

extends AnnotationIntrospector.AbstractIntrospectableAnnotationHandler

Field Summary
`protected WebAppContext` `_context`

Constructor Summary
`PostConstructAnnotationHandler(WebAppContext wac)`

Method Summary
`void` `doHandle(java.lang.Class clazz)`

Methods inherited from class org.eclipse.jetty.annotations.AnnotationIntrospector.AbstractIntrospectableAnnotationHandler
`handle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _context

    protected WebAppContext _context

Constructor Detail

### PostConstructAnnotationHandler

    public PostConstructAnnotationHandler(WebAppContext wac)

Method Detail

### doHandle

    public void doHandle(java.lang.Class clazz)

  Specified by:
    `doHandle` in class `AnnotationIntrospector.AbstractIntrospectableAnnotationHandler`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.